var EasyGUI_EmailValidator = Class.create();

EasyGUI_EmailValidator.messages = 
{
	invalid: '%d is not a valid email adress !'
}

Object.extend( Object.extend ( EasyGUI_EmailValidator.prototype, EasyGUI_Validator.prototype ),
{
	isvalid: function()
	{
		return (!this.value.match(/.*\@.*\..*/));
	}
});